Skip to main content
PATCH
/
api
/
v1
/
contacts
/
:id
curl -X PATCH https://app.demeterrr.com/api/v1/contacts/550e8400-e29b-41d4-a716-446655440000 \
  -H "X-API-Key: dem_your_key_here" \
  -H "Content-Type: application/json" \
  -d '{
    "firstName": "John",
    "lastName": "Doe-Smith",
    "tags": ["vip", "frequent-customer"]
  }'
{
  "data": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "email": "john.doe@example.com",
    "firstName": "John",
    "lastName": "Doe-Smith",
    "tags": ["vip", "frequent-customer"],
    "updatedAt": "2026-02-10T16:00:00.000Z"
  }
}

Authentication

Requires contacts:write scope.

Path Parameters

id
string
required
Contact UUID

Request Body

All fields are optional. Only include fields you want to update.
email
string
New email address
firstName
string
New first name
lastName
string
New last name
phone
string
New phone number
title
string
New title/salutation
preferredLanguage
string
New language preference (en or fr)
customFields
object
Update custom fields (merges with existing)
tags
array
Replace tags array
curl -X PATCH https://app.demeterrr.com/api/v1/contacts/550e8400-e29b-41d4-a716-446655440000 \
  -H "X-API-Key: dem_your_key_here" \
  -H "Content-Type: application/json" \
  -d '{
    "firstName": "John",
    "lastName": "Doe-Smith",
    "tags": ["vip", "frequent-customer"]
  }'
{
  "data": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "email": "john.doe@example.com",
    "firstName": "John",
    "lastName": "Doe-Smith",
    "tags": ["vip", "frequent-customer"],
    "updatedAt": "2026-02-10T16:00:00.000Z"
  }
}